/*
 * Datei: MyWindow.h	Projekt: LocaleKit3
 * Autor: Markus Maier	Datum:	 06.06.2005
 *
 *		Erstellt fuer zemag #3
 *		2005, Urheberrecht beim Autor
 */
 
#ifndef _MYWINDOW_H_
#define _MYWINDOW_H_

// Zeta Includes
#include <interface/Window.h>

//-----------------------------------------------------------------------------
// Forward Deklaration
class BMessage;
class MyView;

//-----------------------------------------------------------------------------
// Klassen Definition
class MyWindow : public BWindow
{
	public:
							MyWindow();		// Constructor
		virtual 			~MyWindow();	// Destructor
		
		// Hook Methoden
		virtual 	void 	MessageReceived( BMessage* );
		virtual 	bool 	QuitRequested( void );

		// Eigene Methoden
					void	refreshLayout( void );
	
	private:
		MyView*	fView;
};

#endif // _MYWINDOW_H_
