/*
 * Datei: MyApp.cpp		Projekt: LocaleKit3
 * Autor: Markus Maier	Datum:	 06.06.2005
 *
 *		Erstellt fuer zemag #3
 *		2005, Urheberrecht beim Autor
 */

// Zeta Includes
#include <interface/Alert.h>
#include <locale/Locale.h>

// Projekt Includes
#include "MyApp.h"
#include "MyWindow.h" 

// Implementation der Klasse MyApp
//-----------------------------------------------------------------------------
MyApp::MyApp()
: BApplication( "application/x-vnd.mm.LocaleKit2" ),
  fWindow( NULL )
{
	fWindow = new MyWindow(); // Fenster erzeugen
	fWindow->Show();          // Fenster sichtbar machen
}

//-----------------------------------------------------------------------------
MyApp::~MyApp()
{
	// Hier ist nichts zu tun
}

//-----------------------------------------------------------------------------
void MyApp::AboutRequested( void )
{
	// About Requestor anzeigen
	(new BAlert( "InfoAlert",
				 _T("Copyright message"),
				 _T("Quit") ))->Go();
}
