/*
 * Datei: main.cpp		Projekt: LocaleKit3
 * Autor: Markus Maier	Datum:	 06.06.2005
 *
 *		Erstellt fuer zemag #3
 *		2005, Urheberrecht beim Autor
 */

// Zeta Includes
#include <locale/Locale.h>

// Projekt Includes
#include "MyApp.h"

//-----------------------------------------------------------------------------
// Main Funktion (Wird aufgerufen, wenn Anwendung ausgefuehrt wird)
int main( void )
{
	// Das explizite einladen der Sprachdateien ist nut notwendig, wenn sich
	// die Sprachdateien in einem anderen Verzeichnis als
	//
	// 		"/boot/beos/etc/Language/Dictionaries/SysApps"
	// 		"/boot/home/config/Language/Dictionaries/"
	// 		"<Anwendungspfad>/Language/Dictionaries/"
	//
	// befinden.
		
	MyApp* myapp = new MyApp(); // Application Objekt erzeugen
	myapp->Run();				// Mainloop starten
	delete myapp;				// Application Objekt loeschen
	
	return 0;
}
